Planlægge kørsel af opgaver med regelmæssige intervaller

Opgavestyring er et værktøj, der gør det muligt at planlægge kørsel af programmer, f.eks. Diskdefragmentering, og andre værktøjer med regelmæssige intervaller. Opgavestyring starter og kører i baggrunden, hver gang Windows startes.

Du kan starte Opgavestyring ved at klikke på Start, pege på Programmer, Tilbehør og Systemværktøjer og derefter klikke på Planlagte opgaver.

Når Opgavestyring åbnes, kan du:

  • Planlægge, at en opgave skal udføres på daglig, ugentlig eller månedlig basis eller på bestemte tidspunkter, f.eks. når computeren startes eller er inaktiv.
  • Ændre tidsplanen for en eksisterende opgave eller slå en eksisterende opgave fra.
  • Tilpasse den måde, hvorpå en opgave vil køre på det planlagte tidspunkt.


Sådan planlægges en ny opgave

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Dobbeltklik på Planlæg ny opgave.
  3. Følg vejledningen i guiden Opgaveplanlægning.

    4. Hvis du vil angive avancerede indstillinger for opgaven, f.eks. at opgaven skal køres flere gange, hver gang den kører, skal du markere afkrydsningsfeltet Åbn avancerede egenskaber for denne opgave, når der klikkes på Udfør på det sidste skærmbillede i guiden.

Bemærk!

  • Hvis opgaveprogrammet kræver parametre, skal du markere afkrydsningsfeltet Åbn avancerede egenskaber for denne opgave, når der klikkes på Udfør på det sidste skærmbillede i guiden, klikke på Udfør, klikke på fanen Opgave og skrive parametrene i boksen Kør efter opgavestien.
  • Hvis computeren er tændt, vil en planlagt opgave blive udført, uanset om nogen er logget på Windows eller ej. Hvis du vil undgå, at opgaver udføres, når der ikke er logget nogen på, skal du åbne mappen Planlagte opgaver, før du logger af, og klikke på Afslut Opgavestyring i menuen Avanceret. Hvis du vil genoptage brugen af Opgavestyring, efter at du har logget på igen, skal du åbne mappen Planlagte opgaver og klikke på Start Opgavestyring i menuen Avanceret.
  • Kontroller, at computerens systemdato og -klokkeslæt er korrekt. Opgavestyring skal bruge disse oplysninger til at bestemme, hvornår de planlagte opgaver skal køres. Dobbeltklik på klokkeslættet på proceslinjen for at ændre datoen eller klokkeslættet.

Relaterede emner


Sådan ændres en planlagt opgave

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Højreklik på den opgave, du vil ændre, og klik derefter på Egenskaber.
  3. Benyt en eller flere af følgende fremgangsmåder:
    • Hvis du vil ændre det program, du vil køre, skal du skrive stien til opgaven i boksen Kør eller klikke på Gennemse.
    • Klik på fanen Tidsplan for at ændre tidspunktet for opgaven.
    • Klik på fanen Indstillinger for at tilpasse indstillingerne for opgaven.

Bemærk!

  • Hvis opgaveprogrammet kræver parametre, skal du skrive dem i boksen Kør efter opgavestien.
  • Hvis stien til opgaveprogrammet indeholder mellemrum, skal du bruge dobbelte anførselstegn (") omkring hele stinavnet.


Sådan fjernes en planlagt opgave

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Højreklik på den opgave, du vil fjerne, og klik derefter på Slet.

Bemærk!

  • Hvis du fjerner en planlagt opgave, fjernes opgaven blot fra mappen Planlagte opgaver. Det program, der er tilknyttet til opgaven, fjernes ikke fra computeren.


Sådan stoppes en planlagt opgave, der kører

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Højreklik på den opgave, du vil stoppe, og klik derefter på Afslut job.

Bemærk!

  • Hvis en planlagt opgave starter et andet program, stopper denne kommando kun den oprindelige planlagte opgave og ikke det andet program.
  • Hvis du vil genstarte opgaven, skal du højreklikke på opgaven og derefter klikke på Kør.
  • Hvis computeren er tændt, vil en planlagt opgave blive udført, uanset om nogen er logget på Windows eller ej. Hvis du vil undgå, at opgaver udføres, når der ikke er logget nogen på, skal du åbne mappen Planlagte opgaver, før du logger af, og klikke på Afslut Opgavestyring i menuen Avanceret. Hvis du vil genoptage brugen af Opgavestyring, efter at du har logget på igen, skal du åbne mappen Planlagte opgaver og klikke på Start Opgavestyring i menuen Avanceret.


Sådan køres en opgave med det samme

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Højreklik på den opgave, du vil starte, og klik derefter på Kør.

Bemærk!

  • Du kan afslutte en opgave ved at klikke på Afslut planlagt opgave i menuen Filer.
  • Hvis en opgave, som burde køre, ikke gør det, skal du kontrollere logfilen for at se hvorfor. Klik på Vis log i menuen Avanceret.


Sådan får du vist en logfil med tidligere planlagte opgaver

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Klik på Vis log i menuen Avanceret.


Sådan får du vist planlagte opgaver på en fjerncomputer

  1. Dobbeltklik på ikonet Netværkssteder.
  2. Dobbeltklik på den computer, du vil se planlagte opgaver på.
  3. Dobbeltklik på mappen Planlagte opgaver.

Bemærk!

  • Du kan kun redigere opgaver på en fjerncomputer, hvis fjerncomputeren har fjernregistreringssoftware installeret og deler sharet x$, hvor x er harddisken med mappen Planlagte opgaver. På computeren skal det også fremgå tydeligt, at din brugerkonto har fjernregistreringsadgang. Du kan angive, hvilke brugere der har fjernregistreringsadgang til en computer ved at dobbeltklikke på ikonet Adgangskoder i Kontrolpanel.


Sådan afbrydes alle planlagte opgaver midlertidigt

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Klik på Afbryd Opgavestyring i menuen Avanceret.

    Dette er nyttigt, hvis du kører et andet program, f.eks. et spil, eller installerer software, og du ikke ønsker, at opgaver skal køre på samme tid.

Bemærk!

  • Opgaver, der skulle have kørt, mens Opgavestyring er afbrudt, kører ikke igen, før næste gang de er planlagt til at køre.
  • Hvis du vil genoptage kørslen af alle de planlagte opgaver, skal du klikke på Fortsæt Opgavestyring i menuen Avanceret.


Sådan afsluttes Opgavestyring

  1. Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.
  2. Klik på Afslut Opgavestyring i menuen Avanceret.

Bemærk!

  • Når du afslutter Opgavestyring, køres de planlagte opgaver ikke, og Opgavestyring starter ikke automatisk, næste gang du starter Windows.


Sådan foretages der fejlfinding i Opgavestyring

Hvis den planlagte opgave ikke kører som forventet, skal du højreklikke på den på listen med opgaver og derefter klikke på Egenskaber. Kontroller, at afkrydsningsfeltet Aktiveret under fanen Opgave er markeret. Kontroller, at tidspunktet er angivet korrekt under fanen Tidsplan.

Hvis et opgaveprogram ikke kører korrekt, skal du muligvis angive kommandoargumenter for det. Prøv ét af følgende for at finde ud af mere om et program og dets argumenter:

  • Hvis programmet har online Hjælp, kan du søge i den.
  • Prøv at skrive følgende ved en kommandoprompt, hvor program er navnet på programmet.
    program /?


Sådan åbnes mappen Planlagte opgaver

  • Klik på Start, peg på Programmer, Tilbehør og Systemværktøjer. Klik derefter på Planlagte opgaver.